### File

`packages/ecl/components/ecl-pagination/ecl-pagination-item.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `li[eclPaginationItem]`
imports | `RouterLink` `RouterLinkWithHref` `TranslateModule` `EUI_ECL_ICON` `EUI_ECL_LINK`
templateUrl | `./ecl-pagination-item.component.html`

### Index

###### Properties
el role
###### Methods
geti18nPageAriaLabelKey geti18nPageLabelKey isPrevOrNextVisible onPageClick getCssClasses
###### Inputs
ariaLabel href isCurrent isNext isPrevious isTruncated label pagesCount queryParams queryParamsHandling routerLink class e2eAttr tabindex
###### Outputs
pageClick
###### HostBindings
attr.role class
###### Accessors
cssClasses anchorRole isIconOnly

### Constructor

`constructor()`
Adds relevant classes to the host element.

### Inputs

ariaLabel
Type : `string`
Value for the `aria-label` attribute used for accessibility.

href
Type : `string`
Default value : `null`
Href link for navigation.

isCurrent
Type : `boolean`
Adds the `ecl-pagination__item--current` class when true.

isNext
Type : `boolean`
Adds the `ecl-pagination__item--next` class when true.

isPrevious
Type : `boolean`
Adds the `ecl-pagination__item--previous` class when true.

isTruncated
Type : `boolean`
Default value : `false`
Adds the `ecl-pagination__item--truncation` class when true.

label
Type : `string`
Text content of the pagination item.

pagesCount
Type : `string`
Total number of pages displayed by the pagination component.

queryParams
Type : `Params | null`
Default value : `null`
Query parameters for the router link.

queryParamsHandling
Type : `QueryParamsHandling`
Default value : `null`
Determines how query parameters are handled during navigation.

routerLink
Type : `string | any[]`
Default value : `null`
Router navigation link for Angular routing.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

pageClick
Type : `EventEmitter`
Emits when the pagination item is clicked.

### HostBindings

attr.role
Type : `string`
Default value : `'listitem'`
Sets the `role` attribute for accessibility.

class
Type : `string`

### Methods

geti18nPageAriaLabelKey
`geti18nPageAriaLabelKey()`
Returns the i18n translation key for the ARIA label. Returns : `string`

geti18nPageLabelKey
`geti18nPageLabelKey()`
Returns the i18n translation key for the visible label. Returns : `string`

isPrevOrNextVisible
`isPrevOrNextVisible()`
Returns true if the item is either previous or next. Returns : `boolean`

onPageClick
`onPageClick(evt: Event)`
Handles the click event and emits the `pageClick` output. Prevents event propagation if no href is defined. Parameters :
Name | Type | Optional | Description
evt | `Event` | No | Event object from the DOM click event.
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

el
Type : `unknown`
Default value : `inject(ElementRef)`

role
Type : `string`
Default value : `'listitem'`
Decorators : `@HostBinding('attr.role')`
Sets the `role` attribute for accessibility.

### Accessors

cssClasses
get `cssClasses()`

anchorRole
get `anchorRole()`

isIconOnly
get `isIconOnly()`
Returns true if this item is an icon-only element (previous or next page). Returns : `boolean`

# results matching ""

# No results matching ""